Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/websockify: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Wed, 24 Feb 2016 16:11:12 +0200

https://github.com/kanaka/websockify
websockify: WebSockets support for any application/server
---
 testing/websockify/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 testing/websockify/APKBUILD
diff --git a/testing/websockify/APKBUILD b/testing/websockify/APKBUILD
new file mode 100644
index 0000000..42ce0a9
--- /dev/null
+++ b/testing/websockify/APKBUILD
_at_@ -0,0 +1,47 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=websockify
+pkgver=0.8.0
+pkgrel=0
+pkgdesc="WebSockets support for any application/server"
+url="https://github.com/kanaka/websockify"
+arch="noarch"
+license="LGPLv3"
+depends="py-$pkgname"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages="py-$pkgname:py"
+source="$pkgname-$pkgver.tar.gz::https://github.com/kanaka/$pkgname/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+py() {
+	depends="python"
+	pkgdesc="$pkgdesc (python bindings)"
+	mkdir -p "$subpkgdir"/usr
+	mv "$pkgdir"/usr/lib "$subpkgdir"/usr
+}
+
+md5sums="0073c3b97ea74d7c3565422d6a9cf0b9  websockify-0.8.0.tar.gz"
+sha256sums="f080e40b3f429f39dc557c62c6d715a683100e7c10c557fa376b6dbde23358ce  websockify-0.8.0.tar.gz"
+sha512sums="f2231767805788d00348e89c24972de767beeffe350b9a7f57e4008e3203d5447633aabaa0e9a50b48404039d63bcf8dc0244fb7511a7b045d3337c15ab7af36  websockify-0.8.0.tar.gz"
-- 
2.7.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Feb 24 2016 - 16:11:12 GMT